Mobileread
Installing calibre solely for ebook-convert on headless system
#1  Zeroth 08-24-2010, 08:39 PM
Hello all,

I'm trying to install calibre on a webserver(no monitor, and no X). I am doing this SOLELY for ebook-convert, because you have the most comprehensive conversion suite around.

I've tried both the binary and the source method. The binary results in:

Line 11: xxxx Segmentation Fault $loader "$@"

Of course, after erasing this and trying to compile the source again, and failing there, I went back to the binary and now I'm stuck with this error:

File "ExtensionLoader_PyQt4_QtCore.py", line 12, in <module>
ImportError: /lib/libc.so.6: version `GLIBC_2.9' not found (required by /home/zeroth/separate/calibre/libQtCore.so.4)


I've already added the location of the glibc object file to path, and this is still happening.

Suggestions? I need the effortless conversion Calibre provides that NO other library seems to provide. Any way I could have just ebook-convert without any of the other overhead?
Reply 

#2  kovidgoyal 08-24-2010, 08:59 PM
You need glibc >= 2.10
Reply 

Today's Posts | Search this Thread | Login | Register